#
# spec file for package mali-utgard-kmp
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           mali-utgard-kmp
Version:        6.0.01.1
%define src_version r6p0-01rel1
Release:        5.65
Summary:        Mali Utgard KMP
License:        GPL-2.0
Group:          System/Kernel
Url:            http://malideveloper.arm.com/resources/drivers/open-source-mali-utgard-gpu-linux-kernel-drivers/
Source:         DX910-SW-99002-%{src_version}.tgz
Source100:      %{name}-preamble
Patch1:         stringify.diff
Patch2:         dma-attrs.diff
Patch3:         page_cache.diff
BuildRequires:  %{kernel_module_package_buildreqs}
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
ExclusiveArch:  armv7hl aarch64

%kernel_module_package -p %{SOURCE100} -n mali-utgard

%ifarch aarch64
%define kernel_arch arm64
%else
%define kernel_arch arm
%endif

%description
Mali-400 / Mali-450 GPU kernel modules

%prep
%setup -q -n DX910-SW-99002-%{src_version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
pushd driver/src/devicedrv/mali
for flavor in %{flavors_to_build}; do
  krel=$(make -s -C %{_prefix}/src/linux-obj/%{_target_cpu}/${flavor} kernelrelease)
  export KDIR=%{_prefix}/src/linux-obj/%{_target_cpu}/${flavor} USING_UMP=0 BUILD=release
  make %{?_smp_mflags} CROSS_COMPILE= ARCH=%{kernel_arch}
  rm -rf ../build-${flavor}
  mkdir -p ../build-${flavor}
  cp -a mali.ko ../build-${flavor}/
  make %{?_smp_mflags} CROSS_COMPILE= ARCH=%{kernel_arch} clean
done
popd

%install
pushd driver/src/devicedrv/mali
for flavor in %{flavors_to_build}; do
  krel=$(make -s -C %{_prefix}/src/linux-obj/%{_target_cpu}/${flavor} kernelrelease)
  mkdir -p %{buildroot}/lib/modules/${krel}/updates/mali-utgard
  cp -a ../build-${flavor}/mali.ko %{buildroot}/lib/modules/${krel}/updates/mali-utgard/
done
popd

%changelog
* Sat Oct 22 2016 afaerber@suse.de
- dma-attrs.diff: Build fixes for v4.8+
- page_cache.diff: Build fixes for v4.6+
* Sun Feb 14 2016 afaerber@suse.de
- Turn __stringify sed fix into proper patch
  stringify.diff
  * Suppress TRACE_SYSTEM_STRING redefinition warning while at it
* Sun Feb 14 2016 afaerber@suse.de
- Add mali-utgard-kmp-preamble (resolves rpmlint warning)
* Sun Feb 14 2016 afaerber@suse.de
- Change installation directory to reflect Utgard vs. Midgard
* Sat Feb 13 2016 afaerber@suse.de
- Initial (r6p0-01rel1)
